package CQCCext;

use 5.008006;
use strict;
use warnings;

require Exporter;

our @ISA = qw(Exporter);

our %EXPORT_TAGS = ( 'all' => [ qw(
	
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
	
);

our $VERSION = '0.01';

require XSLoader;
XSLoader::load('CQCCext', $VERSION);

1;
__END__
# 

=head1 CQCCext

CQCCext - Perl extension for IBM Rational Base Clearcase/ClearQuest integration

=head1 SYNOPSIS

  use CQCCext;
  $str = CQCCext::convert_local_to_utf8($src)
  $str = CQCCext::convert_utf8_to_local($src)

=head1 DESCRIPTION

This is a utility extension that provides ratlperl with access to
several ICU string conversion routines to support globalization.
If there are conversion errors, they will be thrown using "croak"
and will be in the format "Error: code Location: loc"

Callers should wrap calls to these routines in an eval as in 

    eval {
       $str = CQCCext::convert_local_to_utf8($src)        
       };
    if ($@) { 
       # Handle error message in $@
    }

=head2 EXPORT

None by default.

=head1 SEE ALSO

=head1 AUTHOR

D. J. Schlegel E<lt>dschlege@us.ibm.comE<gt>

=head1 COPYRIGHT AND LICENSE

Licensed Materials - Property of IBM Rational ClearCase

(C) Copyright IBM Corp. 2005. All Rights Reserved.

US Government Users Restricted Rights

Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp


=cut
